#
#  Usage: awk -f jsgen.awk -v language=<l> -v format=<f> inputfile
#
#     language
#        en, for english (format is ignored)
#        vo, for volapuek (uses specified format)
#
#     format
#        eismo (yes, i made up that word)
#        unescape
#        anythingelse (no conversion)
#
#     inputfile consists of paired lines in latin1, first vo, second en
#
#  Authors
#
#     William W. Patterson <webmaster@kafejo.com>
#
#  History
#
#     2002.03.25  WWP   Creation. Hacked from the Glosa version.
#

BEGIN {
   print "<script type=\"text/javascript\" language=\"JavaScript\">"
   print "<!-- Begin"
   print "// autogenerated by jsgen"
   print "vortoj[" ( language == "en" ? "0" : "1" )  "] = Array("
   lines = 0
   }

( language == "en" ) && ( FNR % 2 ) { next }

( language != "en" ) && ( ! ( FNR % 2 ) ) { next }

{
   if ( language == "vo" )
      {
      if ( format == "eismo" )
         {
         gsub(//,"ae")
         gsub(/&auml;/,"ae")
         gsub(//,"Ae")
         gsub(/&Auml;/,"Ae")
         gsub(//,"oe")
         gsub(/&ouml;/,"oe")
         gsub(//,"Oe")
         gsub(/&Ouml;/,"Oe")
         gsub(//,"ue")
         gsub(/&uuml;/,"ue")
         gsub(//,"Ue")
         gsub(/&Uuml;/,"Ue")
         $0 = "\"" $0 "\""
         }
      else if ( format == "unescape" )
         {
         n = 0
         n += gsub(//,"%E4")
         n += gsub(/&auml;/,"%E4")
         n += gsub(//,"%C4")
         n += gsub(/&Auml;/,"%C4")
         n += gsub(//,"%F6")
         n += gsub(/&ouml;/,"%F6")
         n += gsub(//,"%D6")
         n += gsub(/&Ouml;/,"%D6")
         n += gsub(//,"%FC")
         n += gsub(/&uuml;/,"%FC")
         n += gsub(//,"%DC")
         n += gsub(/&Uuml;/,"%DC")
         $0 = ( n ? "unescape(" : "" ) "\"" $0 "\"" ( n ? ")" : "" )
         }
      else
         {
         $0 = "\"" $0 "\""
         }
      }
   else
      {
      $0 = "\"" $0 "\""
      }
   printf "%s%s\n", lines ? "," : "", $0
   ++lines
   }

END {
   print ");"
   print "//  End -->";
   print "</script>";
   }
